> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List With Filter

> ListWithFilter lists only buckets with specified filters (e.g. bucket_type and filesystem_id).



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /storage/v1/buckets/list-with-filter
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.InventoryService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /storage/v1/buckets/list-with-filter:
    get:
      tags:
        - nebius.storage.v1.BucketService
      summary: List With Filter
      description: >-
        ListWithFilter lists only buckets with specified filters (e.g.
        bucket_type and filesystem_id).
      operationId: BucketService_ListWithFilter
      parameters:
        - description: Represents the container ID.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: Specifies the maximum number of items to return in the response.
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: >-
            Token for pagination, allowing the retrieval of the next set of
            results.
          in: query
          name: pageToken
          schema:
            type: string
        - description: >-
            If set, only buckets of the specified type will be returned. If not
            set, all bucket types will be returned.

             - REGULAR: Regular object storage bucket.
             - FILESYSTEM: Object storage bucket that is mounted to an existing compute filesystem.
          in: query
          name: filters.bucketType
          schema:
            default: BUCKET_TYPE_UNSPECIFIED
            enum:
              - BUCKET_TYPE_UNSPECIFIED
              - REGULAR
              - FILESYSTEM
            type: string
        - description: >-
            If not empty, only buckets mounted to the specified filesystem will
            be returned.
          in: query
          name: filters.filesystemId
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/nebius.storage.v1.ListBucketsWithFilterResponse
          description: A successful response.
components:
  schemas:
    nebius.storage.v1.ListBucketsWithFilterResponse:
      properties:
        items:
          description: >-
            List of buckets returned in the response. The field should be named
            as `items` for consistency.
          items:
            $ref: '#/components/schemas/nebius.storage.v1.Bucket'
          type: array
        nextPageToken:
          description: >-
            Token for pagination, indicating the next set of results can be
            retrieved using this token.
          type: string
      type: object
    nebius.storage.v1.Bucket:
      properties:
        metadata:
          $ref: '#/components/schemas/nebius.common.v1.ResourceMetadata'
        spec:
          $ref: '#/components/schemas/nebius.storage.v1.BucketSpec'
        status:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.BucketStatus'
          readOnly: true
      type: object
    nebius.common.v1.ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    nebius.storage.v1.BucketSpec:
      properties:
        bucketPolicy:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.BucketPolicy'
          description: Bucket policy specifies granular permissions for a bucket.
        cors:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.CORSConfiguration'
          description: Cross-origin resource sharing configuration.
        defaultStorageClass:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.StorageClass'
          description: >-
            Storage class to use by default for uploads to the bucket. It may be
            overridden by `x-amz-storage-class` header.

            If not set - STANDARD is used as a default storage class.
        filesystemBucket:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.BucketSpec.FilesystemBucketType
          description: Bucket that uses the existing client's compute filesystem.
        forceStorageClass:
          description: >-
            Flag to force usage of default_storage_class, ignoring
            `x-amz-storage-class` header.
          type: boolean
        lifecycleConfiguration:
          $ref: '#/components/schemas/nebius.storage.v1.LifecycleConfiguration'
        maxSizeBytes:
          description: |-
            Maximum bucket size.
            Zero means unlimited.
            Actual limit can be lower if customer doesn't have enough quota.
            Real bucket size can go a little higher if customer writes too fast.
          format: int64
          type: string
        objectAuditLogging:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.BucketSpec.ObjectAuditLogging
          description: >-
            Object audit logging specifies which requests must be logged - none,
            all or mutational only.
        versioningPolicy:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.VersioningPolicy'
          description: |-
            Supports transitions:
             * disabled -> enabled
             * disabled -> suspended
             * enabled <-> suspended
      type: object
    nebius.storage.v1.BucketStatus:
      properties:
        anonymousAccessEnabled:
          description: >-
            Indicator flag showing whether the bucket has any BucketPolicy rule

            that grants anonymous access to any object, prefix, or the entire
            bucket.
          type: boolean
        bucketType:
          $ref: '#/components/schemas/nebius.storage.v1.BucketStatus.BucketType'
        counters:
          items:
            $ref: '#/components/schemas/nebius.storage.v1.BucketCounters'
          type: array
        deletedAt:
          description: |-
            The time when the bucket was deleted (or scheduled for deletion).
            It resets to null if the bucket is undeleted.
          format: date-time
          type: string
        domainName:
          description: >-
            The domain of the endpoint where the bucket can be accessed. It
            omits the scheme (HTTPS) and the port (443)

            and contains only the FQDN address.
          type: string
        insecureEndpoint:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.InsecureEndpoint'
          description: >-
            Insecure endpoint mode shows whether plain HTTP (without TLS) is
            forbidden, allowed for traffic from the

            same region or allowed from everywhere.
        purgeAt:
          description: >-
            The time when the bucket will be automatically purged in case it was
            soft-deleted.
          format: date-time
          type: string
        region:
          description: >-
            The name of the region where the bucket is located for use with S3
            clients, i.e. "eu-west1".
          type: string
        state:
          $ref: '#/components/schemas/nebius.storage.v1.BucketStatus.State'
        suspensionState:
          $ref: '#/components/schemas/nebius.storage.v1.BucketStatus.SuspensionState'
      type: object
    nebius.storage.v1.BucketPolicy:
      description: Bucket policy specifies granular permissions for a bucket.
      properties:
        rules:
          description: >-
            Rule specifies which role must be given to a subject to access a set
            of objects with given

            prefixes or a whole bucket.
          items:
            $ref: '#/components/schemas/nebius.storage.v1.BucketPolicy.Rule'
          type: array
      type: object
    nebius.storage.v1.CORSConfiguration:
      description: Cross-origin resource sharing (CORS) configuration.
      properties:
        rules:
          description: CORS rules.
          items:
            $ref: '#/components/schemas/nebius.storage.v1.CORSRule'
          type: array
      type: object
    nebius.storage.v1.StorageClass:
      default: STORAGE_CLASS_UNSPECIFIED
      description: ' - FILESYSTEM: Special storage class only for filesystem buckets.'
      enum:
        - STORAGE_CLASS_UNSPECIFIED
        - STANDARD
        - ENHANCED_THROUGHPUT
        - INTELLIGENT
        - FILESYSTEM
      type: string
    nebius.storage.v1.BucketSpec.FilesystemBucketType:
      properties:
        directory:
          description: >-
            Directory within the filesystem that will be used as a root for the
            bucket.

            If not empty, it must be an absolute normalized path (no ., .., or
            doubled /).

            Empty value means that the bucket will be mounted at the filesystem
            root (/).
          type: string
        directoryMode:
          description: >-
            Linux permissions that will be applied for uploaded directories.

            Permissions are specified in octal format (one to four octal
            numbers), e.g. "644" or "755".

            The default value is 755 (rwxr-xr-x).
          type: string
        fileMode:
          description: >-
            Linux permissions that will be applied for uploaded files.

            Permissions are specified in octal format (one to four octal
            numbers), e.g. "644" or "755".

            The default value is 644 (rw-r--r--).
          type: string
        filesystemId:
          description: Identifier of filesystem to be exposed via Object Storage API.
          type: string
        gid:
          description: |-
            GID that will be used for write operations to the filesystem.
            By default, root user (UID=0, GID=0) is used.
          format: int64
          type: integer
        uid:
          description: |-
            UID that will be used for write operations to the filesystem.
            By default, root user (UID=0, GID=0) is used.
          format: int64
          type: integer
      required:
        - filesystemId
      type: object
    nebius.storage.v1.LifecycleConfiguration:
      description: >-
        The lifecycle configuration consists of one or more rules.

        An Lifecycle configuration can have up to 1,000 rules.

        Each rule consists of the following:

        - A filter identifying a subset of objects to which the rule applies.
          The filter can be based on a key name prefix, object size, or any combination of these.
        - A status indicating whether the rule is currently active.

        - One or more lifecycle expiration actions that you want to be performed
        on the objects
          identified by the filter. If the state of your bucket is versioning-enabled or versioning-suspended
          (bucket.spec.versioning_policy equals to ENABLED or SUSPENDED) you can have many versions of the same
          object (one current version and zero or more noncurrent versions). The system provides predefined actions
          that you can specify for current and noncurrent object versions.
      properties:
        lastAccessFilter:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.LifecycleAccessFilter'
          description: >-
            Specifies which requests are included in `days_since_last_access`
            calculations for all transition rules.
        rules:
          items:
            $ref: '#/components/schemas/nebius.storage.v1.LifecycleRule'
          type: array
      type: object
    nebius.storage.v1.BucketSpec.ObjectAuditLogging:
      default: OBJECT_AUDIT_LOGGING_UNSPECIFIED
      description: |2-
         - NONE: Logging is disabled.
         - MUTATE_ONLY: Logging enabled only for mutating requests.
         - ALL: Logging enabled for all requests.
      enum:
        - OBJECT_AUDIT_LOGGING_UNSPECIFIED
        - NONE
        - MUTATE_ONLY
        - ALL
      type: string
    nebius.storage.v1.VersioningPolicy:
      default: VERSIONING_POLICY_UNSPECIFIED
      enum:
        - VERSIONING_POLICY_UNSPECIFIED
        - DISABLED
        - ENABLED
        - SUSPENDED
      type: string
    nebius.storage.v1.BucketStatus.BucketType:
      default: BUCKET_TYPE_UNSPECIFIED
      description: |-
        BucketType is a type of the bucket.

         - REGULAR: Regular object storage bucket.
         - FILESYSTEM: Object storage bucket that is mounted to an existing compute filesystem.
      enum:
        - BUCKET_TYPE_UNSPECIFIED
        - REGULAR
        - FILESYSTEM
      type: string
    nebius.storage.v1.BucketCounters:
      properties:
        counters:
          $ref: '#/components/schemas/nebius.storage.v1.CurrentBucketCounters'
        nonCurrentCounters:
          $ref: '#/components/schemas/nebius.storage.v1.NonCurrentBucketCounters'
        storageClass:
          $ref: '#/components/schemas/nebius.storage.v1.StorageClass'
      type: object
    nebius.storage.v1.InsecureEndpoint:
      properties:
        mode:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.InsecureEndpoint.Mode'
          description: Determines where the plain HTTP endpoint is available.
      type: object
    nebius.storage.v1.BucketStatus.State:
      default: STATE_UNSPECIFIED
      description: >2-
         - CREATING: Bucket is under creation and cannot be used yet.
         - ACTIVE: Bucket is active and ready for usage.
         - UPDATING: Bucket is being updated.
        It can be used, but some settings are being modified and you can observe
        their inconsistency.
         - SCHEDULED_FOR_DELETION: Bucket is scheduled for deletion.
        It cannot be used in s3 api anymore.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - ACTIVE
        - UPDATING
        - SCHEDULED_FOR_DELETION
      type: string
    nebius.storage.v1.BucketStatus.SuspensionState:
      default: SUSPENSION_STATE_UNSPECIFIED
      enum:
        - SUSPENSION_STATE_UNSPECIFIED
        - NOT_SUSPENDED
        - SUSPENDED
      type: string
    nebius.storage.v1.BucketPolicy.Rule:
      properties:
        anonymous:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.BucketPolicy.Rule.AnonymousAccess
          description: >-
            Enable anonymous access. Only read-only roles are allowed in
            anonymous mode.
        groupId:
          description: Group ID to grant access to.
          type: string
        paths:
          description: >-
            A list of paths each of which is either a full object key or a
            prefix ending with a

            single "*" wildcard character. A rule is only applied to objects
            matching any of paths.

            If there is a path equal to "*", a rule applies to a whole bucket.
          items:
            type: string
          type: array
        roles:
          description: >-
            A set of roles which a subject will have. All `storage.*` roles are
            supported.
          items:
            type: string
          type: array
      type: object
    nebius.storage.v1.CORSRule:
      properties:
        allowedHeaders:
          description: >-
            Headers that are allowed in a preflight request through the
            Access-Control-Request-Headers header
          items:
            type: string
          type: array
        allowedMethods:
          description: 'HTTP methods CORS is allowed for: GET, PUT, POST, DELETE, HEAD.'
          items:
            required:
              - allowed_methods
            type: string
          type: array
        allowedOrigins:
          description: >-
            The origins that you want to allow cross-domain requests from.
            Single wildcard * is allowed.
          items:
            required:
              - allowed_origins
            type: string
          type: array
        exposeHeaders:
          description: >-
            Headers in the response that you want customers to be able to access
            from their applications.
          items:
            type: string
          type: array
        id:
          description: Optional rule identifier.
          type: string
        maxAgeSeconds:
          description: >-
            Time in seconds that your browser can cache the response for a
            preflight request as identified by the resource.
          format: int32
          type: integer
      type: object
    nebius.storage.v1.LifecycleAccessFilter:
      description: >-
        Specifies which requests are included in `days_since_last_access`
        calculations.
      properties:
        conditions:
          description: |-
            A request is included in `days_since_last_access` calculations if:
            - The first condition matching the request has `INCLUDE` type.
            OR
            - The request doesn't match any conditions
          items:
            $ref: >-
              #/components/schemas/nebius.storage.v1.LifecycleAccessFilter.Condition
          type: array
      type: object
    nebius.storage.v1.LifecycleRule:
      properties:
        abortIncompleteMultipartUpload:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.LifecycleAbortIncompleteMultipartUpload
          description: >-
            Specifies the days since the initiation of an incomplete multipart
            upload that

            the system will wait before permanently removing all parts of the
            upload.
        expiration:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.LifecycleExpiration'
          description: >-
            Specifies the expiration for the lifecycle of the object in the form
            of date, days and,

            whether the object has a delete marker.
        filter:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.LifecycleFilter'
          description: >-
            The Filter is used to identify objects that a Lifecycle Rule applies
            to.

            The Lifecycle Rule will apply to any object matching all of the
            predicates

            configured inside (using logical AND).
        id:
          description: |-
            Unique identifier for the rule per configuration.
            The value cannot be longer than 255 characters.
          type: string
        noncurrentVersionExpiration:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.LifecycleNoncurrentVersionExpiration
          description: >-
            Specifies when noncurrent object versions expire.

            It works only on a bucket that has versioning enabled (or
            suspended).
        noncurrentVersionTransition:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.LifecycleNoncurrentVersionTransition
          description: >-
            Specifies the transition for the lifecycle of a noncurrent object.

            It works only on a bucket that has versioning enabled (or
            suspended).
        status:
          $ref: '#/components/schemas/nebius.storage.v1.LifecycleRule.Status'
        transition:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.LifecycleTransition'
          description: >-
            Specifies the transition for the lifecycle of an object in the form
            of date or days and

            target storage class to transit object to.
      required:
        - id
        - status
      type: object
    nebius.storage.v1.CurrentBucketCounters:
      properties:
        inflightPartsQuantity:
          format: int64
          type: string
        inflightPartsSize:
          format: int64
          type: string
        multipartObjectsQuantity:
          format: int64
          type: string
        multipartObjectsSize:
          format: int64
          type: string
        multipartUploadsQuantity:
          format: int64
          type: string
        simpleObjectsQuantity:
          format: int64
          type: string
        simpleObjectsSize:
          format: int64
          type: string
      type: object
    nebius.storage.v1.NonCurrentBucketCounters:
      description: Counters for non-current object versions (for versioning buckets).
      properties:
        multipartObjectsQuantity:
          format: int64
          type: string
        multipartObjectsSize:
          format: int64
          type: string
        simpleObjectsQuantity:
          format: int64
          type: string
        simpleObjectsSize:
          format: int64
          type: string
      type: object
    nebius.storage.v1.InsecureEndpoint.Mode:
      default: MODE_UNSPECIFIED
      description: |-
        Defines where the plain HTTP endpoint is available.

         - DISABLED: Plain HTTP access is disabled.
         - REGION_LOCAL: Plain HTTP access is available only from the same region.
         - ALL: Plain HTTP access is available from any network.
      enum:
        - MODE_UNSPECIFIED
        - DISABLED
        - REGION_LOCAL
        - ALL
      type: string
    nebius.storage.v1.BucketPolicy.Rule.AnonymousAccess:
      type: object
    nebius.storage.v1.LifecycleAccessFilter.Condition:
      properties:
        methods:
          description: |-
            The s3 methods to match.
            An empty list matches all methods
          items:
            $ref: >-
              #/components/schemas/nebius.storage.v1.LifecycleAccessFilter.Condition.Method
          type: array
        type:
          $ref: >-
            #/components/schemas/nebius.storage.v1.LifecycleAccessFilter.Condition.Type
        userAgents:
          description: >-
            User agents to match. Condition is satisfied if the request's user
            agent contains any of these substrings.

            An empty list matches all user agents.
          items:
            type: string
          type: array
      required:
        - type
      type: object
    nebius.storage.v1.LifecycleAbortIncompleteMultipartUpload:
      properties:
        daysAfterInitiation:
          description: >-
            Specifies the days since the initiation of an incomplete multipart
            upload that

            the system will wait before permanently removing all parts of the
            upload.
          format: int32
          type: integer
      type: object
    nebius.storage.v1.LifecycleExpiration:
      properties:
        date:
          description: >-
            Indicates at what date the object will be deleted. The time is
            always midnight UTC.
          format: date-time
          type: string
        days:
          description: >-
            Indicates the lifetime, in days, of the objects that are subject to
            the rule.

            The value must be a non-zero positive integer.
          format: int32
          type: integer
        expiredObjectDeleteMarker:
          description: >-
            Indicates whether the system will remove a "delete marker" with no
            noncurrent versions.

            If set to true, the "delete marker" will be permanently removed.

            If set to false the policy takes no action.

            This cannot be specified with Days or Date in a LifecycleExpiration
            Policy.
          type: boolean
      type: object
    nebius.storage.v1.LifecycleFilter:
      properties:
        objectSizeGreaterThanBytes:
          description: Minimum object size to which the rule applies.
          format: int64
          type: string
        objectSizeLessThanBytes:
          description: Maximum object size to which the rule applies.
          format: int64
          type: string
        prefix:
          description: |-
            Prefix identifying one or more objects to which the rule applies.
            If prefix is empty, the rule applies to all objects in the bucket.
          type: string
        tags:
          description: >-
            Tags to filter objects by their tagging. Rule applies only to
            objects that

            match all tags in a filter.
          items:
            $ref: '#/components/schemas/nebius.storage.v1.LifecycleFilter.Tag'
          type: array
      type: object
    nebius.storage.v1.LifecycleNoncurrentVersionExpiration:
      properties:
        newerNoncurrentVersions:
          description: Specifies how many noncurrent versions the system will retain.
          format: int32
          type: integer
        noncurrentDays:
          description: >-
            Specifies the number of days an object is noncurrent before the
            system will expire it.
          format: int32
          type: integer
      type: object
    nebius.storage.v1.LifecycleNoncurrentVersionTransition:
      properties:
        newerNoncurrentVersions:
          description: >-
            Specifies how many noncurrent versions the system will retain
            without transition.
          format: int32
          type: integer
        noncurrentDays:
          description: >-
            Specifies the number of days an object is noncurrent before the
            system will transit it.
          format: int32
          type: integer
        storageClass:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.StorageClass'
          description: Target storage class to transit to.
      type: object
    nebius.storage.v1.LifecycleRule.Status:
      default: STATUS_UNSPECIFIED
      enum:
        - STATUS_UNSPECIFIED
        - ENABLED
        - DISABLED
      type: string
    nebius.storage.v1.LifecycleTransition:
      properties:
        date:
          description: >-
            Indicates at what date the object will be transited. The time is
            always midnight UTC.
          format: date-time
          type: string
        days:
          description: >-
            Amount of days since object was uploaded before it's transited to a
            new storage class.

            The value must be a non-zero positive integer.
          format: int32
          type: integer
        daysSinceLastAccess:
          description: >-
            The number of days since the object was last accessed before it is
            transitioned.
          format: int32
          type: integer
        storageClass:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.StorageClass'
          description: Target storage class to transit to.
      type: object
    nebius.storage.v1.LifecycleAccessFilter.Condition.Method:
      default: METHOD_UNSPECIFIED
      description: >2-
         - COPY_OBJECT: Copy object method reads the source object.
        We account for those operations as source object accesses when
        calculating `days_since_last_access` for source object.
         - UPLOAD_PART_COPY: Upload part copy method reads the source object.
        We account for those operations as source object accesses when
        calculating `days_since_last_access` for source object.
      enum:
        - METHOD_UNSPECIFIED
        - GET_OBJECT
        - HEAD_OBJECT
        - GET_OBJECT_TAGGING
        - COPY_OBJECT
        - UPLOAD_PART_COPY
      type: string
    nebius.storage.v1.LifecycleAccessFilter.Condition.Type:
      default: TYPE_UNSPECIFIED
      description: |2-
         - INCLUDE: If an include type condition is the first condition that the request match, the request will be included in
        `days_since_last_access` calculation.
         - EXCLUDE: If an exclude type condition is the first condition that the request match, the request will be ignored in `days_since_last_access`
        calculation.
      enum:
        - TYPE_UNSPECIFIED
        - INCLUDE
        - EXCLUDE
      type: string
    nebius.storage.v1.LifecycleFilter.Tag:
      properties:
        key:
          type: string
        value:
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````